Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.renderer
Class MappedValue

    java.lang.Object
      org.jdesktop.swingx.renderer.MappedValue

All Implemented Interfaces:
  java.io.Serializable, BooleanValue, IconValue, StringValue

    public class MappedValue

extends java.lang.Object
implements StringValue, IconValue, BooleanValue

Compound implementation of XXValue. Currently, XX stands for String, Icon, Boolean.

Quick hack around #590-swingx: LabelProvider should respect StringValue when formatting (instead of going clever with icons). Note: this will change!

See Also:
  `CheckBoxProvider`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jdesktop.swingx.renderer.IconValue
`IconValue.IconType`

Field Summary

Fields inherited from interface org.jdesktop.swingx.renderer.IconValue
`NULL_ICON`

Constructor Summary
`MappedValue(StringValue stringDelegate, IconValue iconDelegate)`
`MappedValue(StringValue stringDelegate, IconValue iconDelegate, BooleanValue booleanDelegate)`

Method Summary
`boolean` | `getBoolean(java.lang.Object value)`
`javax.swing.Icon` | `getIcon(java.lang.Object value)` Returns a icon representation of the given value.
`java.lang.String` | `getString(java.lang.Object value)` Returns a string representation of the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedValue

    public MappedValue(StringValue stringDelegate,
                       IconValue iconDelegate)

### MappedValue

    public MappedValue(StringValue stringDelegate,
                       IconValue iconDelegate,
                       BooleanValue booleanDelegate)

Method Detail

### getString

    public java.lang.String getString(java.lang.Object value)

  Returns a string representation of the given value.

  PENDING JW: forgot - why not null return guaranteed?

  This implementation delegates to the contained StringValue if available or returns an empty String, if not.

  Specified by:
    `getString` in interface `StringValue`
  Parameters:
    `value` - the object to present as a string
  Returns:
    a string representation of the given value, guaranteed to be not null

### getIcon

    public javax.swing.Icon getIcon(java.lang.Object value)

  Returns a icon representation of the given value.

  This implementation delegates to the contained IconValue if available or returns null, if not.

  Specified by:
    `getIcon` in interface `IconValue`
  Parameters:
    `value` - the object to present as Icon
  Returns:
    a Icon representation of the given value, may be null if none available.

### getBoolean

    public boolean getBoolean(java.lang.Object value)

  This implementation delegates to the contained BooleanValue if available or returns false, if not.

  Specified by:
    `getBoolean` in interface `BooleanValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.